drop table if exists SP;
drop table if exists P;
drop table if exists S;

create table S ( sid CHAR(2), 
                 sname CHAR(20), 
                 status INTEGER, 
                 city CHAR(20), 
                 primary key (sid) );


create table P ( pid CHAR(2), 
                 pname CHAR(20), 
                 color CHAR(5), 
                 weight INTEGER, 
                 city CHAR(20),
                 primary key (pid) );


create table SP ( sid CHAR(2), 
                  pid CHAR(2), 
                  qty INTEGER, 
                  primary key (sid, pid), 
                  foreign key (sid) references S(sid),          
                  foreign key (pid) references P(pid) );


insert into S values( 'S1', 'Smith', 20, 'London' );
insert into S values( 'S2', 'Jones', 10, 'Paris'  );
insert into S values( 'S3', 'Blake', 30, 'Paris'  );
insert into S values( 'S4', 'Clark', 20, 'London' );
insert into S values( 'S5', 'Adams', 30, 'Athens' );

insert into P values( 'P1', 'Nut',   'Red',   12, 'London' );
insert into P values( 'P2', 'Bolt',  'Green', 17, 'Paris'  );
insert into P values( 'P3', 'Screw', 'Blue',  17, 'Oslo'   );
insert into P values( 'P4', 'Screw', 'Red',   14, 'London' );
insert into P values( 'P5', 'Cam',   'Blue',  12, 'Paris'  );
insert into P values( 'P6', 'Cog',   'Red',   19, 'London' );

insert into SP values( 'S1', 'P1', 300 );
insert into SP values( 'S1', 'P2', 200 );
insert into SP values( 'S1', 'P3', 400 );
insert into SP values( 'S1', 'P4', 200 );
insert into SP values( 'S1', 'P5', 100 );
insert into SP values( 'S1', 'P6', 100 );
insert into SP values( 'S2', 'P1', 300 );
insert into SP values( 'S2', 'P2', 400 );
insert into SP values( 'S3', 'P2', 200 );
insert into SP values( 'S4', 'P2', 200 );
insert into SP values( 'S4', 'P4', 300 );
insert into SP values( 'S4', 'P5', 400 );





